org.eclipse.mat.inspections.osgi.model

## Class OSGiModel

- java.lang.Object
- - org.eclipse.mat.inspections.osgi.model.OSGiModel

    public class OSGiModel
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`OSGiModel(IBundleReader bundleReader, List<BundleDescriptor> bundleDescriptors, List<Service> services, List<ExtensionPoint> extensionPoints)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Bundle` `getBundle(BundleDescriptor descriptor)` Get bundle by its descriptor
`List<BundleDescriptor>` `getBundleDescriptors()` Get descriptors of all the bundles, found in BundleRepository
`List<ExtensionPoint>` `getExtensionPoints()` Get all the extension points found in ExtensionRegistry
`List<Service>` `getServices()` Get all the services found in ServiceRegistry

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OSGiModel

    public OSGiModel(IBundleReader bundleReader,
                     List<BundleDescriptor> bundleDescriptors,
                     List<Service> services,
                     List<ExtensionPoint> extensionPoints)

### Method Detail

#### getBundleDescriptors

    public List<BundleDescriptor> getBundleDescriptors()

Get descriptors of all the bundles, found in BundleRepository

Returns:
  List<BundleDescriptor> list of objects, describing the bundle

#### getBundle

    public Bundle getBundle(BundleDescriptor descriptor)
                     throws SnapshotException

Get bundle by its descriptor

Parameters:
  `descriptor` -
Returns:
  Bundle
Throws:
  `SnapshotException`

#### getServices

    public List<Service> getServices()

Get all the services found in ServiceRegistry

Returns:
  List<Service> list of services

#### getExtensionPoints

    public List<ExtensionPoint> getExtensionPoints()

Get all the extension points found in ExtensionRegistry

Returns:
  List<ExtensionPoint> list of extension points